Subject: Re: [PATCH 3/3] PPC440EP IBM EMAC support

From: Matt Porter <[email-masked]>
Date: Tue, 15 Mar 2005 13:37:10 -0700

On Tue, Mar 15, 2005 at 11:22:16AM -0800, Eugene Surovegin wrote:
> On Tue, Mar 15, 2005 at 11:58:54AM -0700, Wade Farnsworth wrote:
> > This patch adds support to the IBM EMAC ethernet driver for the 440EP.
> > 
> > Regards,
> > Wade Farnsworth
> > 
> > Signed-off-by: Wade Farnsworth <[email-masked]>
> > 
> 
> > --- linux-2.6.11-bk7/drivers/net/ibm_emac/ibm_emac_phy.c	2005-03-02 00:38:13.000000000 -0700
> > +++ linux-2.6.11-bk7-440ep/drivers/net/ibm_emac/ibm_emac_phy.c	2005-03-11 16:32:01.000000000 -0700
> > @@ -27,6 +27,12 @@
> >  
> >  #include "ibm_emac_phy.h"
> >  
> > +#ifdef CONFIG_BAMBOO
> > +#define BAMBOO_REV0 (mfspr(PVR) == PVR_440EP_RA)
> > +#else
> > +#define BAMBOO_REV0 0
> > +#endif
> > +
> 
> I really don't like it. Chip revision doesn't imply which board 
> this code is running on. Please, think of some other way to do this or 
> drop this completely.

Wade and I talked about this one before and there is no direct way
to detect the board revision on this platform. Given that, I
think that if the PVR of the 440EP in a Bamboo board does imply
the board revision, then this is appropriate.

-Matt